
// ATtiny2313 @ 8MHz



#define BAUDRATE 9600
#ifndef F_CPU
#define F_CPU 8e6
#endif

#include "dht11.h"
#include <avr/io.h>
#include "lcd-routines.h"
#include <util/delay.h>


int main(void){
	DDRC = 0xFF;
	PORTC = 0x00;
	
	uart0_init(UART_BAUD_SELECT(BAUDRATE,F_CPU));
	lcd_init();
	dht11_init();
	
	lcd_clear();
	_delay_ms(5000);
	
	lcd_setcursor( 0, 1 ); 
	  // Text in einzelnen Zeichen ausgeben
	  lcd_data( 'T' );
	  lcd_data( 'e' );
	  lcd_data( 's' );
	  lcd_data( 't' );
	sei();
	
	unsigned long feuchte = 10;
	//uint16_t feuchte1=0;
	unsigned long temperatur = 11;
	//uint16_t temperatur1=0;
	unsigned char checksum = 15;
	uint8_t error = 0;
	
	while(1){	
		PORTC ^= (1<<PC0);
		
		error = dht11(&feuchte, &temperatur, &checksum);
		dht11_output(feuchte,temperatur,checksum,error);

		_delay_ms(500);
			
		//lcd_setcursor(0,2);
		//lcd_string("Hello World!");

	}	
	return 0;
}
